Skip to main content
`Ctrl`+`K`

# pandas.arrays.NumpyExtensionArray

class pandas.arrays.NumpyExtensionArray(values, copy=False)

  A pandas ExtensionArray for NumPy data.

  This is mostly for internal compatibility, and is not especially useful on its own.

  Parameters:
    values ndarray

      The NumPy ndarray to wrap. Must be 1-dimensional.

    copy bool, default False

      Whether to copy values.

  Attributes

  None |

  Methods

  None |

  Examples

      >>> pd.arrays.NumpyExtensionArray(np.array([0, 1, 2, 3]))
      <NumpyExtensionArray>
      [0, 1, 2, 3]
      Length: 4, dtype: int64